#jinja2: lstrip_blocks: True
# Ansible managed
# comman check command templates
define service {
    name                         common-cpu-stats
    service_description          System CPU Stats
    display_name                 System CPU Stats
    check_command                check_nrpe!check_cpu_stats
{% if common_cpu_stats_extra_configs is defined %}
  {% for extra in common_cpu_stats_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-crond
    service_description          System Cron Scheduling Daemon
    display_name                 System Cron Scheduling Daemon
    check_command                check_nrpe!check_crond
{% if common_crond_extra_configs is defined %}
  {% for extra in common_crond_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-dns-service
    service_description          System DNS validation
    display_name                 System DNS validation
    check_command                check_xi_service_dns!-a "name = $HOSTNAME$."!!!!!!!
{% if common_dns_service_extra_configs is defined %}
  {% for extra in common_dns_service_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-entropy
    service_description          System Available Entropy
    display_name                 System Available Entropy
    check_command                check_nrpe!check_entropy
{% if common_entropy_extra_configs is defined %}
  {% for extra in common_entropy_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-home-disk
    service_description          System /home Disk Usage
    display_name                 System /home Disk Usage
    check_command                check_nrpe!check_disk_home
{% if common_home_disk_extra_configs is defined %}
  {% for extra in common_home_disk_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-disk
    service_description          System Disk Usage
    display_name                 System Disk Usage
    check_command                check_nrpe!check_disk
{% if common_disk_extra_configs is defined %}
  {% for extra in common_disk_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-https
    service_description          System SSL certificates vaildation check
    display_name                 System HTTPS_SSL Certificate validation
    check_command                check_https!-C 30,14!!!!!!!
{% if common_https_extra_configs is defined %}
  {% for extra in common_https_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-linuxserver-ping
    service_description          System Ping
    display_name                 System Ping
    check_command                check_xi_service_ping!3000.0!80%!5000.0!100%!!!!
{% if common_linuxserver_ping_extra_configs is defined %}
  {% for extra in common_linuxserver_ping_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-load
    service_description          System Load
    display_name                 System Load
    check_command                check_nrpe!check_load
{% if common_load_extra_configs is defined %}
  {% for extra in common_load_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-mem
    service_description          System Memory Usage
    display_name                 System Memory Usage
    check_command                check_nrpe!check_mem
{% if common_mem_extra_configs is defined %}
  {% for extra in common_mem_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-netstats
    service_description          System Netstats
    display_name                 System Netstats
    check_command                check_nrpe!check_network_stats
{% if common_netstats_extra_configs is defined %}
  {% for extra in common_netstats_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-ntp-time
    service_description          System Time
    display_name                 System Time
    check_command                check_nrpe!check_ntp_time
{% if common_ntp_time_extra_configs is defined %}
  {% for extra in common_ntp_time_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-open-files
    service_description          System Open Files
    display_name                 System Open Files
    check_command                check_nrpe!check_open_files
{% if common_open_files_extra_configs is defined %}
  {% for extra in common_open_files_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-postfix
    service_description          System Postfix Mail Daemon
    display_name                 System Postfix Mail Daemon
    check_command                check_nrpe!check_postfix
{% if common_postfix_extra_configs is defined %}
  {% for extra in common_postfix_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-root-disk
    service_description          System / Disk Usage
    display_name                 System / Disk Usage
    check_command                check_nrpe!check_disk_root
{% if common_root_disk_extra_configs is defined %}
  {% for extra in common_root_disk_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-sshd
    service_description          System SSH Daemon
    display_name                 System SSH Daemon
    check_command                check_nrpe!check_sshd
{% if common_sshd_extra_configs is defined %}
  {% for extra in common_sshd_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-swap
    service_description          System Swap Usage
    display_name                 System Swap Usage
    check_command                check_nrpe!check_swap
{% if nc_common_swap_extra_configs is defined %}
  {% for extra in common_swap_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-total-procs
    service_description          System Total Processes
    display_name                 System Total Processes
    check_command                check_nrpe!check_total_procs
{% if common_total_procs_extra_configs is defined %}
  {% for extra in common_total_procs_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-users
    service_description          System Users
    display_name                 System Users
    check_command                check_nrpe!check_users
{% if common_cpu_users_extra_configs is defined %}
  {% for extra in common_cpu_users_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-var-disk
    service_description          System /var Disk Usage
    display_name                 System /var Disk Usage
    check_command                check_nrpe!check_disk_var
{% if common_common_var_disk_extra_configs is defined %}
  {% for extra in common_var_disk_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-zombie-procs
    service_description          System Zombie Processes
    display_name                 System Zombie Processes
    check_command                check_nrpe!check_zombie_procs
{% if common_common_zombie_procs_extra_configs is defined %}
  {% for extra in common_zombie_procs_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}

define service {
    name                         common-updates
    service_description          System Updates
    display_name                 System Updates
    check_command                check_nrpe!check_updates!-t 60
{% if common_updates_extra_configs is defined %}
  {% for extra in common_updates_extra_configs %}
    {{ "%-28s" | format(extra.name) }} {{ extra.content }}
  {% endfor %}
{% endif %}
    register                     0
}
